> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fossapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get NGN wallet by ID



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/wallets/fiat/{walletId}
openapi: 3.1.0
info:
  title: FossaPay API
  description: >-
    FossaPay API for checkout wallets, master-wallet payouts, customer
    management, NGN wallets, crypto wallets, transfers, fees, banks, and
    webhooks.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api-production.fossapay.com
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /api/v1/wallets/fiat/{walletId}:
    get:
      tags:
        - NGN Wallets
      summary: Get NGN wallet by ID
      operationId: FiatWalletsController_findOne
      parameters:
        - name: walletId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Wallet retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FiatWalletResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: The wallet does not belong to the authenticated business
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Wallet not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    FiatWalletResponse:
      type: object
      required:
        - status
        - message
        - data
      properties:
        status:
          type: boolean
        message:
          type: string
        data:
          $ref: '#/components/schemas/FiatWallet'
      additionalProperties: true
    ApiError:
      type: object
      properties:
        status:
          oneOf:
            - type: string
            - type: boolean
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
        code:
          type: string
        errors:
          type: object
          additionalProperties: true
      additionalProperties: true
    FiatWallet:
      type: object
      required:
        - id
        - customerId
        - availableBalance
        - ledgerBalance
        - walletName
        - virtualAccount
      properties:
        id:
          type: string
        customerId:
          type: string
          format: uuid
        availableBalance:
          type: string
        ledgerBalance:
          type: string
        walletName:
          type: string
        customerType:
          type: string
          enum:
            - individual
        virtualAccount:
          type: object
          required:
            - accountNumber
            - bankCode
            - bankName
          properties:
            accountNumber:
              type: string
            bankCode:
              type: string
            bankName:
              type: string
          additionalProperties: true
      additionalProperties: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````